// $Header: /MEWIN/SRC/WINDOW.SH 7     11/07/95 1:51p Todd $

#define WNOP_CREATE     0
#define WNOP_DELETE     1
#define WNOP_HIDE       2
#define WNOP_LIST       3
#define WNOP_SPLIT      4
#define WNOP_LINK       6
#define WNOP_UNLINK     7
#define WNOP_ZOOM       8
#define WNOP_DELETEALL  9
#define WNOP_MINIMIZE   10
#define WNOP_MAXIMIZE   11

#define WGOP_CASCADE    0
#define WGOP_TILEVERT   1
#define WGOP_MINALL     2
#define WGOP_TILEHORZ   3


Prototype WINDOW {
	void  WinMenu( int Parent );
	void  CreateNoFileWin( );
	void  MakeWin( );
	int   DelWin( int No_Del, int MR, int BC );
	void  SplitWin( int SSize, str Dir, int Win2_Id );
	void  LinkWin( );
	void  Win_Icon_Arrange( );
	void  Minimize( );
	void  Maximize( );
	void  Zoom( );
	void  Worganize( int Op );
	void  WinOp( int Op );

	int  SplitWinDlg( str Title, int Enables );
}